WRCombinedEvent
Keywords: wiiremotej.event.WRCombinedEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej.event
Class WRCombinedEvent

    java.lang.Object
      java.util.EventObject
          wiiremotej.event.WREvent
              wiiremotej.event.WRCombinedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class WRCombinedEvent

extends WREvent

Combined event for Nintendo (R) Wii Remote (TM). Contains events returned from buttons, the accelerometer, the IR Sensor, and the extension. Note that some events may be `null` (meaning their associated inputs are currently not enabled).

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WRCombinedEvent(WiiRemote source, WRButtonEvent BEvt, WRAccelerationEvent AEvt, WRIREvent IEvt, WRExtensionEvent EEvt)` Creates a new WRCombinedEvent from the given events.

Method Summary
`WRAccelerationEvent` | `getAccelerationEvent()` Returns the acceleration event of this combined event.
`WRButtonEvent` | `getButtonEvent()` Returns the button event of this combined event.
`WRExtensionEvent` | `getExtensionEvent()` Returns the extension event of this combined event.
`WRIREvent` | `getIREvent()` Returns the IR event of this combined event.

Methods inherited from class wiiremotej.event.WREvent
`getSource`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WRCombinedEvent

    public WRCombinedEvent(WiiRemote source,
                           WRButtonEvent BEvt,
                           WRAccelerationEvent AEvt,
                           WRIREvent IEvt,
                           WRExtensionEvent EEvt)

  Creates a new WRCombinedEvent from the given events. The events may be `null`.

  Parameters:
    `source` - the WiiRemote triggering this event.
    `BEvt` - the button event of this combined event.
    `AEvt` - the acceleration event of this combined event.
    `IEvt` - the IR event of this combined event.
    `EEvt` - the extension event of this combined event.

Method Detail

### getButtonEvent

    public WRButtonEvent getButtonEvent()

  Returns the button event of this combined event. May be `null`.

  Returns:
    the button event of this combined event.

### getAccelerationEvent

    public WRAccelerationEvent getAccelerationEvent()

  Returns the acceleration event of this combined event. May be `null`.

  Returns:
    the acceleration event of this combined event.

### getIREvent

    public WRIREvent getIREvent()

  Returns the IR event of this combined event. May be `null`.

  Returns:
    the IR event of this combined event.

### getExtensionEvent

    public WRExtensionEvent getExtensionEvent()

  Returns the extension event of this combined event. May be `null`.

  Returns:
    the extension event of this combined event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD